Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000461Core InformRules and rulebookspublic2010-12-10 09:572014-05-07 07:33
Reporterektemple 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityhave not tried
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6F95 
Target VersionFixed in Version6L02 
Summary0000461: Value-parametrized rulebook declarations fail with unhelpful message when hyphen is included.
DescriptionValue-parametrized rulebooks can be declared with or without a hyphen in this form:

Testing rules is an object based/object-based rulebook.

With additional options, however, as in the source provided, the hyphenated form fails with an unhelpful message.

The sentence 'Testing rules is an object-based rulebook producing a truth state' appears to say two things are the same - I am reading 'Testing rules' and 'object-based rulebook producing a truth state' as two different things, and therefore it makes no sense to say that one is the other: it would be like saying that 'St Peter is St Paul'. It would be all right if the second thing were the name of a kind, perhaps with properties: for instance 'Pearly Gates is a lighted room' says that something called Pearly Gates exists and that it is a 'room', which is a kind I know about, combined with a property called 'lighted' which I also know about.
Minimal Source Text To Reproduce
Test is a room.

Testing rules is an object-based rulebook producing a truth state.
TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships

-  Notes
(0000894)
mattweiner (reporter)
2010-12-10 16:50

On intfiction.org, Erik suggested that the solution would be to deprecate "object-based rulebook" entirely. I'd like to vote against that, if it's possible to implement it -- "object-based rulebook" is better grammatically, IMO, than "object based rulebook" (it's like the difference between "man eating shark" and "man-eating shark"), and I think it'd be a shame to fail to recognize it.

--I realize this is an incredibly trivial note, but my first real job mostly consisted of putting in those hyphens, so I find it hard to turn that off in my mind.
(0002533)
graham (administrator)
2014-03-08 12:17

I mulled this over a while, but eventually decided it should just be legal syntax, as a concession to the past practice. It now is.

- Issue History
Date Modified Username Field Change
2010-12-10 09:57 ektemple New Issue
2010-12-10 16:08 EmacsUser Status new => confirmed
2010-12-10 16:50 mattweiner Note Added: 0000894
2014-03-08 12:17 graham Note Added: 0002533
2014-03-08 12:17 graham Status confirmed => resolved
2014-03-08 12:17 graham Resolution open => fixed
2014-03-08 12:17 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker